Bug 981106 - nwfilter-edit should give error when modify the value to inadmissibility
nwfilter-edit should give error when modify the value to inadmissibility
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.5
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Laine Stump
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 23:25 EDT by EricLee
Modified: 2014-04-07 05:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 981107 (view as bug list)
Environment:
Last Closed: 2014-04-04 16:57:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description EricLee 2013-07-03 23:25:35 EDT
Description
nwfilter-edit should give error when modify the value to inadmissibility, not return successfully as delete the line which including inadmissible value.

Version:
libvirt-0.10.2-18.el6_4.9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. # vim disallow-arp.xml
<filter name='disallow-arp' chain='arp'>
  <rule action='drop' direction='inout' priority='500'/>
</filter>

2. # virsh nwfilter-define disallow-arp.xml
Network filter disallow-arp defined from disallow-arp.xml

3. # virsh nwfilter-dumpxml disallow-arp
<filter name='disallow-arp' chain='arp' priority='-500'>
  <uuid>2f737f78-779c-4b2c-b223-b67b90765afb</uuid>
  <rule action='drop' direction='inout' priority='500'/>
</filter>

4. Use nwfilter-edit "rule action='drop'" to “rule action='dropaaa'” and save:
# virsh nwfilter-edit disallow-arp
Network filter disallow-arp XML configuration edited.

5. the rule line will disappear:
# virsh nwfilter-dumpxml disallow-arp
<filter name='disallow-arp' chain='arp' priority='-500'>
  <uuid>e088d644-6e76-4827-a7ea-ba1ea924dd1c</uuid>
</filter>

6. Also for nwfilter-define works like that.

Actual results:
As description.

Expected results:
nwfilter-edit should give error when modify the value to inadmissibility, not return successfully as delete the line which including inadmissible value.
It should judge 'rule action' only support 'drop',' reject','accept','return','continue' and "direction" only support 'in','out' and 'inout' and give error info but just delete the rule if there are not those value.

Additional info:
For nwfilter-define, if there is some inadmissible value like "dropaaa" in xml, define will succeed, but there is no <rule> element in that nwfilter. Also need to fix.
Comment 6 RHEL Product and Program Management 2014-04-04 16:57:43 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.